This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 55993 - kuser doesn't delete entry in gshadow for user's primary group
kuser doesn't delete entry in gshadow for user's primary group
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 17:52 EST by Ben Levenson
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 12:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-11-09 17:52:32 EST
Description of Problem:
kuser doesn't delete group entries from /etc/gshadow.

Version-Release number of selected component (if applicable):
kdeadmin-2.2-10
I've verified this behavior on my i686 workstation running 
kdeadmin-2.2.1-1 as well.

How Reproducible:
100%

Steps to Reproduce:
1. delete user
2. grep /etc/gshadow for user's primary group

Actual Results:
there is still an entry for the user's primary group in gshadow.

Expected Results:
no entries should remain in passwd, shadow, groups, or gshadow. all of the 
others are removed as expected. gshadow is the only one to contain an
entry.
Comment 1 Ben Levenson 2004-06-21 12:16:05 EDT
no kuser in RHEL3. 
CLOSING -> WONTFIX 

Note You need to log in before you can comment on or make changes to this bug.